# $Revision: 1.4.2.7 $, $Date: 2004/03/04 01:33:34 $
#
# Conditional build:
# _without_dist_kernel	- without distribution kernel
#

%define		_orig_name	noptrace

Summary:	Kernel module for disabling ptrace()
Summary(pl):	Modu jdra wyczajcy ptrace()
Name:		kernel-misc-%{_orig_name}
# Is there any version???
Version:	0.1
%define	_rel	7
Release:	%{_rel}@%{_kernel_ver_str}
License:	GPL
Group:		Base/Kernel
Source0:	http://www.hackinglinuxexposed.com/tools/p/%{_orig_name}.c
# NoSource0-md5: a6f1ea1f4842caa43d720c532b8a1c18
%{!?_without_dist_kernel:BuildRequires:	kernel-headers}
BuildRequires:	%{kgcc_package}
%{!?_without_dist_kernel:%requires_releq_kernel_up}
Requires(post,postun):	/sbin/depmod
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kernel module for disabling ptrace() system call.

%description -l pl
Modu kernela wyczajcy wywoanie systemowe ptrace().

%package -n kernel-smp-misc-%{_orig_name}
Summary:	SMP kernel module for disabling ptrace()
Summary(pl):	Modu jdra SMP wyczajcy ptrace()
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{!?_without_dist_kernel:%requires_releq_kernel_smp}
Requires(post,postun):	/sbin/depmod

%description -n kernel-smp-misc-%{_orig_name}
SMP kernel module for disabling ptrace() system call.

%description -n kernel-smp-misc-%{_orig_name} -l pl
Modu jdra SMP wyczajcy wywoanie systemowe ptrace().

%prep
%setup -q -T -c
install %{SOURCE0} .

%build
%{kgcc} -D__KERNEL__ -DMODULE -D__SMP__ -DCONFIG_X86_LOCAL_APIC -I%{_kernelsrcdir}/include -Wall \
	-Wstrict-prototypes -fomit-frame-pointer -fno-strict-aliasing -pipe -fno-strength-reduce \
	%{rpmcflags} -c %{_orig_name}.c

mv -f %{_orig_name}.o %{_orig_name}smp.o

%{kgcc} -D__KERNEL__ -DMODULE -I%{_kernelsrcdir}/include -Wall -Wstrict-prototypes \
	-fomit-frame-pointer -fno-strict-aliasing -pipe -fno-strength-reduce \
	%{rpmcflags} -c %{_orig_name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc
cp %{_orig_name}.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc
cp %{_orig_name}smp.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/%{_orig_name}.o

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/depmod -a

%postun
/sbin/depmod -a

%post -n kernel-smp-misc-%{_orig_name}
/sbin/depmod -a

%postun -n kernel-smp-misc-%{_orig_name}
/sbin/depmod -a

%files
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/*

%files -n kernel-smp-misc-%{_orig_name}
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/misc/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kernel-misc-noptrace.spec,v $
Revision 1.4.2.7  2004/03/04 01:33:34  ankry
- rel. 7

Revision 1.4.2.6  2004/03/02 02:16:53  ankry
- rel. 6

Revision 1.4.2.5  2004/02/22 17:00:58  ankry
- rel. 5

Revision 1.4.2.4  2004/02/19 13:29:25  qboosh
- C file back to cvs

Revision 1.4.2.3  2004/02/18 21:43:41  undefine
- release 4,md5

Revision 1.4.2.2  2003/07/11 12:01:33  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.4.2.1  2003/05/11 16:45:28  dzimi
- rel++; rebuild with 2.2.25-3

Revision 1.4  2003/03/23 22:15:43  blues
- release 2; rebuild with 2.2.25

Revision 1.3  2003/03/18 14:16:50  qboosh
- more specific Requires, cosmetics in descriptions

Revision 1.2  2003/03/18 13:57:51  misiek
s/net/misc/

Revision 1.1  2003/03/18 13:34:50  blues
- initial release, based on ip_wccp spec. Please, STBR to general (or
  security?)
